/*
 * $Id: Parameters_msg_error.cpp 81 2008-04-15 18:40:01Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Generic/Counter/include/Parameters.h"
#include "Behavioural/Generic/Counter/include/Types.h"
#include <sstream>

namespace morpheo                    {
namespace behavioural {
namespace generic {
namespace counter {


  Parameters_test Parameters::msg_error(void)
  {
    log_printf(FUNC,Counter,"msg_error","Begin");

    Parameters_test test ("Counter");

    if (_size_data < 1)
      test.error("size_data must be > 0\n");

    if (_nb_port < 1)
      test.error("nb_port must be > 0\n");

    return test;

    log_printf(FUNC,Counter,"msg_error","End");
  };

}; // end namespace counter
}; // end namespace generic

}; // end namespace behavioural
}; // end namespace morpheo              
